Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056350 - [virtio-win][scsi] fail to display the data disk in device management correctly after initialize it
Summary: [virtio-win][scsi] fail to display the data disk in device management correct...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Vadim Rozenfeld
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 03:08 UTC by Sibiao Luo
Modified: 2014-03-26 13:32 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-26 13:32:16 UTC


Attachments (Terms of Use)
device_management_screenshot. (deleted)
2014-01-22 03:09 UTC, Sibiao Luo
no flags Details

Description Sibiao Luo 2014-01-22 03:08:33 UTC
Description of problem:
I modprobe a scsi_debug disk about 8.0M, then assign or passthrough it to windows guest, install the virtio-scsi driver in guest, then initialize it in device management but it cann't display the data disk in device management correctly, it fail to new simple volume and format it. both the scsi-hd and scsi-block interface can always hit it.
BTW, rhel guest work well which did not reproduce this issue.

Version-Release number of selected component (if applicable):
host info:
3.10.0-76.el7.x86_64
qemu-kvm-1.5.3-38.el7.x86_64
seabios-1.7.2.2-10.el7.x86_64
seabios-bin-1.7.2.2-10.el7.x86_64
guest info:
win8.0-32bit
virtio-win-prewhql-0.1-74

How reproducible:
always

Steps to Reproduce:
1.modprobe a scsi_debug disk.
# modprobe scsi_debug lbpu=1 lbpws=1
[root@dhcp-11-229 home]# lsscsi
[0:0:0:0]    disk    ATA      ST3500413AS      HP64  /dev/sda 
[2:0:0:0]    cd/dvd  hp       DVD-RAM GH80N    RF01  /dev/sr0 
[19:0:0:0]   disk    Linux    scsi_debug       0004  /dev/sdb 
# qemu-img info /dev/sdb
image: /dev/sdb
file format: raw
virtual size: 8.0M (8388608 bytes)
disk size: 0
2.assign or passthrough it to windows guest and install virtio-win driver in guest.
e.g:...-drive file=/dev/sdb,if=none,id=drive-data-disk,format=raw,cache=none,aio=native,werror=stop,rerror=stop,discard=on -device virtio-scsi-pci,id=scsi1,bus=pci.0,addr=0x7 -device scsi-hd,drive=drive-data-disk,id=data-disk,bus=scsi1.0
# cat /sys/bus/pseudo/drivers/scsi_debug/map
3.initialize it in device management.
# cat /sys/bus/pseudo/drivers/scsi_debug/map
0

Actual results:
after step 2, cat /sys/bus/pseudo/drivers/scsi_debug/map output nothing.
# cat /sys/bus/pseudo/drivers/scsi_debug/map
                 <----------output nothing.
after step 3, it cann't display the data disk in device management correctly, it fail to new simple volume and format it. I will attach the screenshot for it.
# cat /sys/bus/pseudo/drivers/scsi_debug/map
0                <----------output 0 after initialization.

Expected results:
it can display the data disk in device management correctly, and it can new simple volume and format it successfully.

Additional info:
# /usr/libexec/qemu-kvm -M pc -cpu SandyBridge -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -no-kvm-pit-reinjection -usb -device usb-tablet,id=input0 -name sluo -uuid 990ea161-6b67-47b2-b803-19fb01d30d30 -rtc base=localtime,clock=host,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x3 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=org.qemu.guest_agent.0,bus=virtio-serial0.0,id=port1,nr=1 -drive file=/home/win8.0-32.qcow2,if=none,id=drive-system-disk,format=qcow2,cache=none,aio=native,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x4 -device scsi-hd,drive=drive-system-disk,id=system-disk,bus=scsi0.0,bootindex=1 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=00:01:02:B6:40:21,bus=pci.0,addr=0x5 -device virtio-balloon-pci,id=ballooning,bus=pci.0,addr=0x6 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -k en-us -boot menu=on -qmp tcp:0:4444,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :1 -spice disable-ticketing,port=5931 -monitor stdio -drive file=/dev/sdb,if=none,id=drive-data-disk,format=raw,cache=none,aio=native,werror=stop,rerror=stop,discard=on -device virtio-scsi-pci,id=scsi1,bus=pci.0,addr=0x7 -device scsi-hd,drive=drive-data-disk,id=data-disk,bus=scsi1.0

Comment 1 Sibiao Luo 2014-01-22 03:09:37 UTC
Created attachment 853571 [details]
device_management_screenshot.

Comment 2 Sibiao Luo 2014-01-22 03:13:18 UTC
Also tried to refresh or rescan disk via disk maagement, but it fail to work which cann't display the data disk in computer management correctly.

Comment 3 Sibiao Luo 2014-01-22 03:15:37 UTC
after reboot guest always cann't display the data disk in computer management correctly.

Comment 4 Mike Cao 2014-01-22 03:27:02 UTC
Now sure it is a virtio-win bug 

I can use the disk via diskpart

Step:
DiskPart:
#select Disk 1
#Create Partition PRIMARY
#Assign Letter=E

Comment 5 Sibiao Luo 2014-01-22 05:28:48 UTC
(In reply to Mike Cao from comment #4)
> Now sure it is a virtio-win bug 
> 
> I can use the disk via diskpart
> 
> Step:
> DiskPart:
> #select Disk 1
> #Create Partition PRIMARY
> #Assign Letter=E

Yes, if use the DISKPART can works.

Comment 6 Sibiao Luo 2014-01-22 06:22:39 UTC
BTW, also tried the win2012R2-64bit guest which did not reproduce this issue.

Comment 7 Mike Cao 2014-01-22 06:45:52 UTC
reproduced this issue with emulated scsi disk ,But Diskpart works fine .
Different behavior between diskmgmt.msc and diskpart.exe ?

Comment 8 Vadim Rozenfeld 2014-01-22 07:18:35 UTC
Can we try enlarging the disk size to be larger than 10MB and see how it works?

Thanks,
Vadim.

Comment 9 RHEL Product and Program Management 2014-03-22 06:10:44 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 10 Ronen Hod 2014-03-25 11:20:23 UTC
QE, please see comment 8

Comment 11 Sibiao Luo 2014-03-26 02:27:23 UTC
(In reply to Vadim Rozenfeld from comment #8)
> Can we try enlarging the disk size to be larger than 10MB and see how it
> works?
> 
If i create the 1G disk size which can be detected in device management correctly, and it can new simple volume and format it successfully.
# modprobe scsi_debug dev_size_mb=1024 lbpu=1 lbpws=1
# lsscsi
[0:0:0:0]    disk    ATA      ST3500413AS      HP64  /dev/sda 
[2:0:0:0]    cd/dvd  hp       DVD-RAM GH80N    RF01  /dev/sr0 
[10:0:0:0]   disk    Linux    scsi_debug       0004  /dev/sdb 
# qemu-img info /dev/sdb
image: /dev/sdb
file format: raw
virtual size: 1.0G (1073741824 bytes)
disk size: 0

It fail to enlarge via block_resize, please refer to bug 1070531.

Best Regards,
sluo

Comment 12 Vadim Rozenfeld 2014-03-26 10:23:15 UTC
Let me try summarizing the issues mentioned above:

8MB disk size problem - IIRC Windows reserves 8MB for use by itself to be able convert the volume to dynamic disk.
scsi_debug on-line resize problem - is it even possible to resize that particular RAM-disk drive this way? How it is related to the Windows 
virtio-scsi device driver?

Thanks,
Vadim.

Comment 13 Ronen Hod 2014-03-26 13:32:16 UTC
It seems as if the original bug is a Windows limitation.
The "enlarge" issue should be investigated and reported in a separate BZ.


Note You need to log in before you can comment on or make changes to this bug.